curl --request POST \
--url https://core-api.adipredictstreet.com/api/me/vault/upgrade/transfer/{id}/signature \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--data '
{
"userSig": "0x53462f4e8b3b3815c324bcbc0c213600e121a976f9bfdd729f25712e5ab757f1396a84c6ef6e665cf348398ff02caebbf7b7f16ef06fa104f4a3eef9eb7e132e1c"
}
'import requests
url = "https://core-api.adipredictstreet.com/api/me/vault/upgrade/transfer/{id}/signature"
payload = { "userSig": "0x53462f4e8b3b3815c324bcbc0c213600e121a976f9bfdd729f25712e5ab757f1396a84c6ef6e665cf348398ff02caebbf7b7f16ef06fa104f4a3eef9eb7e132e1c" }
headers = {
"X-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
userSig: '0x53462f4e8b3b3815c324bcbc0c213600e121a976f9bfdd729f25712e5ab757f1396a84c6ef6e665cf348398ff02caebbf7b7f16ef06fa104f4a3eef9eb7e132e1c'
})
};
fetch('https://core-api.adipredictstreet.com/api/me/vault/upgrade/transfer/{id}/signature', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://core-api.adipredictstreet.com/api/me/vault/upgrade/transfer/{id}/signature",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'userSig' => '0x53462f4e8b3b3815c324bcbc0c213600e121a976f9bfdd729f25712e5ab757f1396a84c6ef6e665cf348398ff02caebbf7b7f16ef06fa104f4a3eef9eb7e132e1c'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://core-api.adipredictstreet.com/api/me/vault/upgrade/transfer/{id}/signature"
payload := strings.NewReader("{\n \"userSig\": \"0x53462f4e8b3b3815c324bcbc0c213600e121a976f9bfdd729f25712e5ab757f1396a84c6ef6e665cf348398ff02caebbf7b7f16ef06fa104f4a3eef9eb7e132e1c\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-Api-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://core-api.adipredictstreet.com/api/me/vault/upgrade/transfer/{id}/signature")
.header("X-Api-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"userSig\": \"0x53462f4e8b3b3815c324bcbc0c213600e121a976f9bfdd729f25712e5ab757f1396a84c6ef6e665cf348398ff02caebbf7b7f16ef06fa104f4a3eef9eb7e132e1c\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://core-api.adipredictstreet.com/api/me/vault/upgrade/transfer/{id}/signature")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-Api-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"userSig\": \"0x53462f4e8b3b3815c324bcbc0c213600e121a976f9bfdd729f25712e5ab757f1396a84c6ef6e665cf348398ff02caebbf7b7f16ef06fa104f4a3eef9eb7e132e1c\"\n}"
response = http.request(request)
puts response.read_body{
"transfer": {
"id": "<string>",
"status": "requested",
"fromVault": "<string>",
"toVault": "<string>",
"amount": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"signRequest": {},
"withdrawalId": "<string>",
"withdrawTxHash": "<string>",
"depositTxHash": "<string>",
"refundTxHash": "<string>",
"failureCode": "<string>",
"completedAt": "2023-11-07T05:31:56Z"
},
"created": true,
"warnings": [
"<string>"
]
}{
"status": 400,
"error": {
"code": "bad_request",
"message": "<string>",
"trace_id": "<string>",
"retryAfterSec": 123,
"retryable": true,
"details": {}
}
}{
"status": 400,
"error": {
"code": "bad_request",
"message": "<string>",
"trace_id": "<string>",
"retryAfterSec": 123,
"retryable": true,
"details": {}
}
}{
"status": 400,
"error": {
"code": "bad_request",
"message": "<string>",
"trace_id": "<string>",
"retryAfterSec": 123,
"retryable": true,
"details": {}
}
}Submit the WithdrawERC20 signature of a transfer
Starts the withdraw leg; the backend then deposits into the generation-2 vault. Idempotent (the same signature again answers the transfer). 400 invalid_signature; 409 vault_move_expired (start a new transfer), vault_move_already_signed; 404 vault_move_not_found.
API key: scope vault:write or vault:migrate.
curl --request POST \
--url https://core-api.adipredictstreet.com/api/me/vault/upgrade/transfer/{id}/signature \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--data '
{
"userSig": "0x53462f4e8b3b3815c324bcbc0c213600e121a976f9bfdd729f25712e5ab757f1396a84c6ef6e665cf348398ff02caebbf7b7f16ef06fa104f4a3eef9eb7e132e1c"
}
'import requests
url = "https://core-api.adipredictstreet.com/api/me/vault/upgrade/transfer/{id}/signature"
payload = { "userSig": "0x53462f4e8b3b3815c324bcbc0c213600e121a976f9bfdd729f25712e5ab757f1396a84c6ef6e665cf348398ff02caebbf7b7f16ef06fa104f4a3eef9eb7e132e1c" }
headers = {
"X-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
userSig: '0x53462f4e8b3b3815c324bcbc0c213600e121a976f9bfdd729f25712e5ab757f1396a84c6ef6e665cf348398ff02caebbf7b7f16ef06fa104f4a3eef9eb7e132e1c'
})
};
fetch('https://core-api.adipredictstreet.com/api/me/vault/upgrade/transfer/{id}/signature', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://core-api.adipredictstreet.com/api/me/vault/upgrade/transfer/{id}/signature",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'userSig' => '0x53462f4e8b3b3815c324bcbc0c213600e121a976f9bfdd729f25712e5ab757f1396a84c6ef6e665cf348398ff02caebbf7b7f16ef06fa104f4a3eef9eb7e132e1c'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://core-api.adipredictstreet.com/api/me/vault/upgrade/transfer/{id}/signature"
payload := strings.NewReader("{\n \"userSig\": \"0x53462f4e8b3b3815c324bcbc0c213600e121a976f9bfdd729f25712e5ab757f1396a84c6ef6e665cf348398ff02caebbf7b7f16ef06fa104f4a3eef9eb7e132e1c\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-Api-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://core-api.adipredictstreet.com/api/me/vault/upgrade/transfer/{id}/signature")
.header("X-Api-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"userSig\": \"0x53462f4e8b3b3815c324bcbc0c213600e121a976f9bfdd729f25712e5ab757f1396a84c6ef6e665cf348398ff02caebbf7b7f16ef06fa104f4a3eef9eb7e132e1c\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://core-api.adipredictstreet.com/api/me/vault/upgrade/transfer/{id}/signature")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-Api-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"userSig\": \"0x53462f4e8b3b3815c324bcbc0c213600e121a976f9bfdd729f25712e5ab757f1396a84c6ef6e665cf348398ff02caebbf7b7f16ef06fa104f4a3eef9eb7e132e1c\"\n}"
response = http.request(request)
puts response.read_body{
"transfer": {
"id": "<string>",
"status": "requested",
"fromVault": "<string>",
"toVault": "<string>",
"amount": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"signRequest": {},
"withdrawalId": "<string>",
"withdrawTxHash": "<string>",
"depositTxHash": "<string>",
"refundTxHash": "<string>",
"failureCode": "<string>",
"completedAt": "2023-11-07T05:31:56Z"
},
"created": true,
"warnings": [
"<string>"
]
}{
"status": 400,
"error": {
"code": "bad_request",
"message": "<string>",
"trace_id": "<string>",
"retryAfterSec": 123,
"retryable": true,
"details": {}
}
}{
"status": 400,
"error": {
"code": "bad_request",
"message": "<string>",
"trace_id": "<string>",
"retryAfterSec": 123,
"retryable": true,
"details": {}
}
}{
"status": 400,
"error": {
"code": "bad_request",
"message": "<string>",
"trace_id": "<string>",
"retryAfterSec": 123,
"retryable": true,
"details": {}
}
}Authorizations
Partner / integrator key — format ps_live_<keyId>_<secret>. Partner keys are issued by PredictStreet; a user can also create keys bound to their own wallet from their account settings in the web app. Never ship to a browser. multi_wallet partners must additionally send X-User-Wallet: 0x<40-hex> on every authenticated request to declare the acting wallet. See the API keys guide for scope taxonomy, partner kinds, rate limits, and rotation procedure.
Headers
Required for multi_wallet partners on every authenticated request; ignored for single_wallet. Declares the acting end-user wallet for this request — drives KYC checks, balances/positions/orders attribution, rate-limit buckets, and audit. Lower-cased server-side. Missing on a multi_wallet key → 401 api_key_user_wallet_required; malformed → 401 api_key_user_wallet_invalid. The on-chain CTFExchange/Vault contracts still verify EIP-712 signer ↔ vault binding, so loosening API-layer attribution is safe by construction.
^0x[a-fA-F0-9]{40}$"0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb3"
Path Parameters
Transfer ID.
Body
EIP-712 signature (0x-hex) of signRequest from the transfer, by the wallet.
^0x[0-9a-fA-F]{130}$"0x53462f4e8b3b3815c324bcbc0c213600e121a976f9bfdd729f25712e5ab757f1396a84c6ef6e665cf348398ff02caebbf7b7f16ef06fa104f4a3eef9eb7e132e1c"
Response
The transfer.